Bug 961511 - [RFE] Support full iSCSI authentication
[RFE] Support full iSCSI authentication
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.5.0
Assigned To: Allon Mureinik
bugs@ovirt.org
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 15:07 EDT by Dax Kelson
Modified: 2016-02-10 14:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 11:39:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2013-05-09 15:07:11 EDT
Description of problem:

Best practice and secure iSCSI deployment uses mutual authentication with separate username and passwords for each LUN that is different from the DISCOVERY credentials.

In other words, ovirt needs the following UI and support

------DISCOVERY phase------

Optional Outbound credentials:

username:
password:

Optional inbound (mutual) credentials:

username:
password:


-------Then for EACH LUN, allow credentials to be input --------

Optional  Outbound credentials:

username:
password:

Optional inbound (mutual) credentials:

username:
password:

------------------------------------------------------------------

RHEL6 Anaconda gets this treatment of iSCSI authentication correct (it was broken similar to ovirt in RHEL5).
Comment 1 Itamar Heim 2014-06-16 11:39:54 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.